Allowing user to choose how to decide position of added layers
08/30/2013 02:05 PM - Juan Lucas Domínguez

Status: Closed % Done: 0%
Priority: Normal Spent time: 0.00 hour
Assignee: Juan Lucas Domínguez
Category: Document view
Target version: 2.1.0-2217-devel
gvSIG version: 2.0.0 Add-on resolve version:
Keywords: Add-on resolve build:
Has patch: No Proyecto:
Add-on name: Unknown Hito:
Add-on version:
Description

In gvSIG 1.X we have two strategies:

- Add layer on top always
- Keep the order: Raster-polygon-line-point

Related issues:
Duplicates Application: gvSIG desktop - gvSIG feature requests # 393: Corregi... Closed 03/02/2012

History
#1 - 09/17/2013 04:12 PM - Juan Lucas Domínguez
- Status changed from New to Fixed

Relevant changes in this commit:

Added LayerOrderManager interface; Added "orderManager" field in MapContext class (so it is persisted); FLayers objects will use the order manager
of their MapContext; Added methods to MapContextLocator to register order managers; Added two implementations in "mapcontext.impl"; Added layer
order preferences page; Current order manager is persisted in main plugin persistence; Layer order manager is set when a new view is created and
cannot be changed, so you can have views with different order managers.

gvsig-desktop:r40713

#2 - 01/13/2014 09:32 AM - Joaquín  del Cerro Murciano
- Target version changed from 2.1.0-2223-rc1 to 2.1.0-2217-devel

#3 - 01/27/2014 05:31 PM - Álvaro Anguix
- Status changed from Fixed to Closed
